Pricing

Follow-ups

Manage follow-up templates and thread-level follow-ups (auto-plugs).
Follow-ups (also called auto-plugs) are promotional replies automatically attached to a post after it reaches certain engagement thresholds. There are two concepts: templates (default settings per provider) and thread follow-ups (per-thread instances).

List Follow-up Templates

GET /api/v1/follow-up/templates

Returns all follow-up templates configured for a specific provider account.Query Parameters:
  • userProviderId (required) — Provider ID from the /providers endpoint
  • teamId (optional) — Team ID

Request

curl "https://blacktwist.app/api/v1/follow-up/templates?userProviderId=clx...." \
  -H "Authorization: Bearer bt_api_..."

Response

{
  "templates": [
    {
      "id": "tmpl_abc123",
      "name": "Default Promo",
      "text": "If you enjoyed this, check out my newsletter!",
      "images": [],
      "isDefault": true,
      "isEnabled": true,
      "delayTimeMinutes": 60,
      "delayTimeMinutesEnabled": true,
      "numberOfLikes": 10,
      "numberOfLikesEnabled": true,
      "numberOfReplies": 5,
      "numberOfRepliesEnabled": false,
      "numberOfReposts": 3,
      "numberOfRepostsEnabled": false,
      "media": []
    }
  ],
  "count": 1
}

Get Thread Follow-up

GET /api/v1/posts/:threadId/follow-up

Returns the follow-up (auto-plug) configured for a specific thread, or null if none is set.

Request

curl https://blacktwist.app/api/v1/posts/abc123xyz/follow-up \
  -H "Authorization: Bearer bt_api_..."

Response

{
  "autoPlug": {
    "id": "ap_xyz789",
    "threadId": "abc123xyz",
    "isEnabled": true,
    "text": "Check out my newsletter!",
    "images": [],
    "delayTimeMinutes": 60,
    "delayTimeMinutesEnabled": true,
    "numberOfLikes": 10,
    "numberOfLikesEnabled": true,
    "numberOfReplies": 5,
    "numberOfRepliesEnabled": false,
    "numberOfReposts": 3,
    "numberOfRepostsEnabled": false,
    "autoPlugMedia": []
  }
}

Set Thread Follow-up

PUT /api/v1/posts/:threadId/follow-up

Creates or updates the follow-up for a thread. If a follow-up already exists, it will be replaced.Request Body:
  • isEnabled (required) — Whether the follow-up is active
  • text (optional) — Follow-up post content
  • media (optional) — Array of { url, altText? } objects
  • delayTimeMinutes (optional) — Minutes to wait before posting
  • delayTimeMinutesEnabled (optional) — Enable time delay trigger
  • numberOfLikes (optional) — Likes threshold
  • numberOfLikesEnabled (optional) — Enable likes trigger
  • numberOfReplies (optional) — Replies threshold
  • numberOfRepliesEnabled (optional) — Enable replies trigger
  • numberOfReposts (optional) — Reposts threshold
  • numberOfRepostsEnabled (optional) — Enable reposts trigger

Request

curl -X PUT https://blacktwist.app/api/v1/posts/abc123xyz/follow-up \
  -H "Authorization: Bearer bt_api_..." \
  -H "Content-Type: application/json" \
  -d '{
    "isEnabled": true,
    "text": "Thanks for reading! Follow me for more.",
    "delayTimeMinutes": 120,
    "delayTimeMinutesEnabled": true,
    "numberOfLikes": 20,
    "numberOfLikesEnabled": true
  }'

Response

{
  "autoPlugId": "ap_xyz789",
  "threadId": "abc123xyz",
  "isEnabled": true
}
Built with
Shipped.club


© Copyright 2026 BlackTwist. All rights reserved.